Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalBorders.TextFieldBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.plaf.metal.MetalBorders.Flush3DBorder
              javax.swing.plaf.metal.MetalBorders.TextFieldBorder

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  MetalBorders

public static class MetalBorders.TextFieldBorder
extends MetalBorders.Flush3DBorder

Constructor Summary
`MetalBorders.TextFieldBorder()`

Method Summary
`void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

Methods inherited from class javax.swing.plaf.metal.MetalBorders.Flush3DBorder
`getBorderInsets, getBorderInsets`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalBorders.TextFieldBorder

    public MetalBorders.TextFieldBorder()

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Description copied from class: `AbstractBorder`
  This default implementation does no painting.

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `MetalBorders.Flush3DBorder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.